<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">

            <div class="x_title">
                <h5><a href="/#support/incidences?action=admin" title="Volver al listado"><i class="fa fa-arrow-circle-o-left"></i>&nbsp;<span th:text="#{backToList}"></span></a></h5><br>
                <strong class="h4" th:text="#{supportIncidentsEdit}">Soporte - Editar Incidencia</strong>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">
                <div class="x_panel">
                    <div class="x_title">
                        <a href="#">
                            <small th:text="${#dates.format(msg.creationDate, 'dd/MM/yyyy HH:mm')}"></small> - <strong th:text="${msg.title}"></strong>
                        </a>                        
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        <span class="right">
                            <span th:switch="${msg.status}">
                                <span th:case="open" class="label label-danger" th:text="#{${msg.status}}"></span>
                                <span th:case="inprocess" class="label label-info" th:text="#{${msg.status}}"></span>
                                <span th:case="closed" class="label label-success" th:text="#{${msg.status}}"></span>
                            </span>
                        </span>
                        <p th:text="${msg.description}"></p>
                        <p th:if="${msg.attachment != null}">
                            <a th:href="'/support/attachment?file=' + ${msg.attachment}" target="_blank">
                                <i class="fa fa-paperclip"></i>
                                <span th:text="${msg.attachment}"></span>
                            </a>
                        </p>

                        <span>
                            <br/>
                            <h6><span th:text="#{bonus.username} + ':'">Usuario:</span>&nbsp;<strong th:text="${msg.username}"></strong></h6>
                            <h6><span th:text="#{name} + ':'">Nombre:</span>&nbsp;<strong th:text="${msg.firstName} + ' ' + ${msg.lastName}"></strong></h6>
                            <a th:if="${msg.memberId != null && isAdmin && action=='admin'}" th:href="${'/admin#admin/orders/list?q=' + msg.email}" target="_blank"><strong th:text="#{bonus.orders}">Ver ordenes</strong></a>
                            -
                            <a th:if="${msg.memberId != null && isAdmin && action=='admin'}" th:href="${'/admin#admin/members/list?q=' + msg.email}" target="_blank"><strong th:text="#{seeAffiliate}">Ver Afiliado</strong></a>                            
                        </span>
                        <h1></h1>

                        <span th:if="${msg.status=='closed'}">
                            <div class="divider"></div>
                            <i class="fa fa-arrow-right"></i>
                            <span th:text="#{closedOn}">Cerrada el</span> 
                            <small th:text="${#dates.format(msg.closedDate, 'dd/MM/yyyy HH:mm')}"></small>&nbsp;<span th:text="#{closedBy}">por</span>&nbsp;<strong th:text="${msg.closedUser}"></strong>
                            <br/>
                            <p th:text="${msg.closedMessage}"></p>
                        </span>
                    </div>
                </div>
                <span th:if="${isAdmin && action=='admin'}">
                    <form class="form-horizontal form-label-left" method="POST" th:action="'support/incidences/' + ${msg.id}">
                        <input type="hidden" name="action" value="update-status"/>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name" th:text="#{changeState} + ' *'">Cambiar Estado<span class="required">*</span>
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="status" class="form-control">
                                    <option value="inprocess"><span th:text="#{inprocess}"></span></option>
                                    <option value="open"><span th:text="#{open}"></span></option>
                                </select>
                            </div>
                        </div>                          
                        <div class="form-group">
                            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                <button type="submit" class="btn btn-success" th:text="#{changeState}">Cambiar estado</button>
                            </div>
                        </div>
                    </form>

                    <div class="ln_solid"></div>
                    <form class="form-horizontal form-label-left" method="POST" th:action="'support/incidences/' + ${msg.id}">
                        <input type="hidden" name="action" value="change-asignation"/>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name" th:text="#{changeAssignment} + ' *'">Cambiar asignación<span class="required">*</span>
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="asignation" class="form-control">
                                    <option value="admin"><span th:text="#{admin}"></span></option>
                                    <option value="support"><span th:text="#{menu.support}"></span></option>
                                </select>
                            </div>
                        </div>                          
                        <div class="form-group">
                            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                <button type="submit" class="btn btn-success" th:text="#{changeAssignment}">Cambiar asignacion</button>
                            </div>
                        </div>
                    </form>

                    <div class="divider"></div>
                    <form class="form-horizontal form-label-left" method="POST" th:action="'support/incidences/' + ${msg.id}">
                        <input type="hidden" name="action" value="close"/>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12" for="last-name" th:text="#{closingMessage} + ' *'">Mensaje de cierre <span class="required">*</span>
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea class="form-control" name="closeMessage" rows="5" maxlength="1000" required="required"></textarea>
                            </div>
                        </div>                    
                        <div class="form-group">
                            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                <button type="submit" class="btn btn-success" th:text="#{btnClose}">Cerrar</button>
                            </div>
                        </div>
                    </form>
                </span>
            </div>
        </div>
    </div>
</div>